# 63. Mutacija: išsaugoti organizaciją

Mutacija, skirta pridėti arba redaguoti „Organizaciją“. „Vartotojas“, kuris išsiuntė saveOrganization užklausą, taps „Organizacijos“ savininku.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija saveOrganizationPavyzdys {
  saveOrganization(
    input: {
      name: "Organizacijos pavadinimas"
      surname: "Savininko pavardė"
      givenName: "Savininko vardas"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    pavadinimas
    pavardė
    vardas
    el. paštas
    telefonas
    sukūrimoData
    updatedDate
  }
}
```

{% endcode %}

Norėdami redaguoti esamą „Organizaciją“, pridėkite uuid atributą prie užklausos.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija saveOrganizationPavyzdys {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Naujas organizacijos pavadinimas"
      surname: "Savininko pavardė"
      givenName: "Savininko vardas"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    pavadinimas
    pavardė
    vardas
    el. paštas
    telefonas
    sukūrimoData
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/63.-mutacija-issaugoti-organizacija.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
